Subject: [bug#74702] [PATCH 4/4] gnu: Add komikku-servers.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 11 Dec 2024 11:40:55 +0900

Hi,

Liliana Marie Prikler <[email-masked]> writes:

[...]

>> > +(define-public komikku-servers
>> > +  (package
>> > +    (name "komikku-servers")
>> > +    (version "1.59.0")                  ; latest version that
>> > works with 1.57
>> 
>> Per our referenced Scheme coding style [0] in (info '(guix)
>> Formatting Code'), the space between ';' and the comment for inline
>> comments can be omitted (see the '** Comments' section).
>> 
>> [0]  https://mumble.net/~campbell/scheme/style.txt
> I read this 'can' as optional and very much prefer my space :)

It's indeed a 'can', but I value consistency enough that this errs on
the side of 'should' in my mind ;-).

[...]

>> > +      #~(modify-phases %standard-phases
>> > +          (add-after 'unpack 'delete-conflicting-files
>> > +            (lambda _
>> > +              (with-directory-excursion "komikku/servers"
>> > +                (for-each delete-file
>> > +                          (scandir "."
>> > +                                   (lambda (f) (string-suffix?
>> > ".py" f))))))))))
>> 
>> Shouldn't these Python files be byte-compiled?  You could perhaps use
>> the compile-bytecode phase from the pyproject-build-system to
>> accomplish that.
> I can't use it verbatim, since the install directory is different¹, but
> I can copy it's logic, sure.  Will do so for v2.

OK.  If it's too much boilerplate to copy-paste, feel free to ignore it.
It's probably not world-changing anyway.

-- 
Thanks,
Maxim